Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.tx
Class tx

    java.lang.Object
      com.arjuna.ats.jts.tx.tx

public class tx
extends java.lang.Object

Field Summary
`static int` | `TX_CHAINED`
`static int` | `TX_COMMIT_COMPLETED`
`static int` | `TX_COMMIT_DESICION_LOGGED`
`static int` | `TX_EINVAL`
`static int` | `TX_ERROR`
`static int` | `TX_FAIL`
`static int` | `TX_HAZARD`
`static int` | `TX_HAZARD_NO_BEGIN`
`static int` | `TX_NO_BEGIN`
`static int` | `TX_NOT_SUPPORTED`
`static int` | `TX_OK` These values are pretty arbitrary since we have no way of knowing what they should be.
`static int` | `TX_OUTSIDE`
`static int` | `TX_PROTOCOL_ERROR`
`static int` | `TX_ROLLBACK`
`static int` | `TX_ROLLBACK_NO_BEGIN`
`static int` | `TX_UNCHAINED`

Constructor Summary
`tx()`

Method Summary
`static int` | `tx_allow_nesting()`
`static int` | `tx_begin()`
`static int` | `tx_close()` The X/Open spec.
`static int` | `tx_commit()`
`static int` | `tx_open()`
`static int` | `tx_rollback()` This needs to implement checked transactions such that only the transaction initiator (thread) can terminate it.
`static int` | `tx_set_commit_return(int when_return)`
`static int` | `tx_set_transaction_control(int control)`
`static int` | `tx_set_transaction_timeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TX_OK

    public static final int TX_OK

  These values are pretty arbitrary since we have no way of knowing what they should be. As long as the CPP names are used we should be ok though.

  See Also:
    Constant Field Values

### TX_COMMIT_COMPLETED

    public static final int TX_COMMIT_COMPLETED

See Also:
  Constant Field Values

### TX_COMMIT_DESICION_LOGGED

    public static final int TX_COMMIT_DESICION_LOGGED

See Also:
  Constant Field Values

### TX_CHAINED

    public static final int TX_CHAINED

See Also:
  Constant Field Values

### TX_UNCHAINED

    public static final int TX_UNCHAINED

See Also:
  Constant Field Values

### TX_ERROR

    public static final int TX_ERROR

See Also:
  Constant Field Values

### TX_FAIL

    public static final int TX_FAIL

See Also:
  Constant Field Values

### TX_PROTOCOL_ERROR

    public static final int TX_PROTOCOL_ERROR

See Also:
  Constant Field Values

### TX_OUTSIDE

    public static final int TX_OUTSIDE

See Also:
  Constant Field Values

### TX_NO_BEGIN

    public static final int TX_NO_BEGIN

See Also:
  Constant Field Values

### TX_HAZARD

    public static final int TX_HAZARD

See Also:
  Constant Field Values

### TX_HAZARD_NO_BEGIN

    public static final int TX_HAZARD_NO_BEGIN

See Also:
  Constant Field Values

### TX_NOT_SUPPORTED

    public static final int TX_NOT_SUPPORTED

See Also:
  Constant Field Values

### TX_EINVAL

    public static final int TX_EINVAL

See Also:
  Constant Field Values

### TX_ROLLBACK

    public static final int TX_ROLLBACK

See Also:
  Constant Field Values

### TX_ROLLBACK_NO_BEGIN

    public static final int TX_ROLLBACK_NO_BEGIN

See Also:
  Constant Field Values

Constructor Detail

### tx

    public tx()

Method Detail

### tx_open

    public static final int tx_open()

### tx_close

    public static final int tx_close()

  The X/Open spec. says to raise TX_PROTOCOL_ERROR if called from within a transaction. However, the OTS spec. implies there is no mapping for tx_close. So, do nothing.

### tx_allow_nesting

    public static final int tx_allow_nesting()

### tx_begin

    public static final int tx_begin()

### tx_rollback

    public static final int tx_rollback()

  This needs to implement checked transactions such that only the transaction initiator (thread) can terminate it.

### tx_set_commit_return

    public static final int tx_set_commit_return(int when_return)

### tx_commit

    public static final int tx_commit()

### tx_set_transaction_control

    public static final int tx_set_transaction_control(int control)

### tx_set_transaction_timeout

    public static final int tx_set_transaction_timeout(int timeout)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD